Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
formedit.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
if(isset( $Cancel)) | $ActionValue ="edit"
| $form = new eZForm( $FormID )
if(isset( $Action) && $Action=="up") if(isset( $Action) && $Action=="down") if(isset( $DeleteSelected)) | $errorMessages = array()
if(isset( $OK)||isset( $Update)||isset( $Preview)||isset( $NewElement)) | $Language = $ini->variable( "eZFormMain", "Language" )
| $t
| $move_item = true
if( $form->completedPage()) | else
| $elements = $form->formElements()
| $count = $form->numberOfElements()

## Variable Documentation

## ◆ $ActionValue

if (isset($Cancel)) $ActionValue ="edit"

Definition at line 44 of file formedit.php.

## ◆ $count

$count = $form->numberOfElements()

Definition at line 356 of file formedit.php.

## ◆ $elements

$elements = $form->formElements()

Definition at line 355 of file formedit.php.

Referenced by eZURI\base(), eZSys\createShellArgument(), eZURI\dropBase(), eZURI\elements(), eZSiteAccess\match(), eZFormRenderer\renderForm(), eZQDomRenderer\renderImage(), eZFormRenderer\sendForm(), eZImageMap\store(), eZFormRenderer\verifyForm(), and eZAutoloadGenerator\walkRecursive().

## ◆ $errorMessages

if (isset($Action) &&$Action=="up") if (isset($Action) &&$Action=="down") if (isset($DeleteSelected)) $errorMessages = array()

Definition at line 74 of file formedit.php.

Referenced by eZFormRenderer\verifyForm().

## ◆ $form

$form = new eZForm( $FormID )

Definition at line 46 of file formedit.php.

Referenced by eZFormRenderer\__construct(), eZArticle\addForm(), eZProduct\addForm(), eZFormRenderer\renderForm(), and eZFormRenderer\sendForm().

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 36 of file formedit.php.

## ◆ $Language

if (isset($OK)||isset($Update)||isset($Preview)||isset($NewElement)) $Language = $ini->variable( "eZFormMain", "Language" )

Definition at line 242 of file formedit.php.

## ◆ $move_item

$move_item = true

Definition at line 261 of file formedit.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezform/admin/" . $ini->variable( "eZFormMain", "AdminTemplateDir" ),
"kernel/ezform/admin/intl/", $Language, "form.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
if(isset( $OK)||isset( $Update)||isset( $Preview)||isset( $NewElement)) $Language
Definition: formedit.php:242
$ini
$ini
Definition: formedit.php:36

Definition at line 244 of file formedit.php.

## ◆ else

if ($form->isSendAsUser()) else

Definition at line 284 of file formedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.